### Virtual Method

# Gtk Buildable add_child

#### Declaration [src]

    void
    add_child (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* type
    )

#### Description [src]

Adds a child to `buildable`. `type` is an optional string describing how the child should be added.

#### Parameters

`builder`

  Type: `GtkBuilder`

  A `GtkBuilder`.

  The data is owned by the caller of the method.

`child`

  Type: `GObject`

  Child to add.

  The data is owned by the caller of the method.

`type`

  Type: `const char*`

  Kind of child or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.